cmake_minimum_required (VERSION 3.1)
set(CMAKE_CXX_STANDARD 11)
project(adk-message-monitor)

add_executable(${PROJECT_NAME} "main.cc" ${CMAKE_SOURCE_DIR}/src/adk-message-service.cc)

target_link_libraries (
  ${PROJECT_NAME}
  ${CMAKE_THREAD_LIBS_INIT}
  ${ADK_IPC_LDFLAGS}
  ${ADK_MESSAGES_LDFLAGS}
  ${ADK_MESSAGE_SERVICE_LDFLAGS}
  ${PROTOBUF_LDFLAGS}
)

target_include_directories(
  ${PROJECT_NAME} PUBLIC
  ${CMAKE_SOURCE_DIR}/include
  ${ADK_IPC_INCLUDE_DIRS}
  ${ADK_MESSAGES_INCLUDE_DIRS}
  ${ADK_MESSAGE_SERVICE_INCLUDE_DIRS}
)

install (
  TARGETS ${PROJECT_NAME}
  PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ
  DESTINATION ${CMAKE_INSTALL_BINDIR}/
)
